Go to the first, previous, next, last section, table of contents.

### `ishift`

`ishift(i,count)`
  :: bit shift

return
  integer
i count
  integer

- The absolute value of i is regarded as a bit string.
- The sign of i is ignored and a non-negative integer is returned.
- If count is positive, then i is shifted to the right. If count is negative, then i is shifted to the left.

    [0] ctrl("hex",1);
    0x1
    [1] ishift(0x1000000,12);
    0x1000
    [2] ishift(0x1000,-12);
    0x1000000
    [3] ixor(0x1248,ishift(1,-16)-1);

`References`
  section `iand`, `ior`, `ixor`.

Go to the first, previous, next, last section, table of contents.